Create a new output
curl --request POST \
--url https://api.bold-factory.com/v1/production/orders/{orderReference}/operations/{operationReference}/outputs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"completedQuantity": 123,
"rejectedQuantity": 123,
"inputs": [
{
"quantity": 123,
"inputReference": "<string>",
"lotId": "<string>"
}
],
"coProducts": [
{
"quantity": 123,
"coProductReference": "<string>"
}
],
"employeeId": "<string>",
"comments": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/production/orders/{orderReference}/operations/{operationReference}/outputs"
payload = {
"completedQuantity": 123,
"rejectedQuantity": 123,
"inputs": [
{
"quantity": 123,
"inputReference": "<string>",
"lotId": "<string>"
}
],
"coProducts": [
{
"quantity": 123,
"coProductReference": "<string>"
}
],
"employeeId": "<string>",
"comments": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
completedQuantity: 123,
rejectedQuantity: 123,
inputs: [{quantity: 123, inputReference: '<string>', lotId: '<string>'}],
coProducts: [{quantity: 123, coProductReference: '<string>'}],
employeeId: '<string>',
comments: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/production/orders/{orderReference}/operations/{operationReference}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"operationId": "<string>",
"employeeId": "<string>",
"completedQuantity": 123,
"rejectedQuantity": 123,
"comments": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"operation": {
"id": "<string>",
"externalReference": "<string>",
"orderId": "<string>",
"order": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"status": "<string>",
"productId": "<string>",
"managesLots": true,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"requestId": "<string>",
"relatedId": "<string>",
"requester": "<string>",
"recipeId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"recipeId": "<string>",
"productId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"productId": "<string>",
"product": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"externalReference": "<string>"
},
"conditionFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"obsoleteRecipe": true,
"plannedQuantity": 123,
"completedQuantity": 123,
"rejectedQuantity": 123,
"notes": "<string>",
"requiredAvailability": {
"time": "2023-11-07T05:31:56Z"
},
"plannedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"targetedAt": "2023-11-07T05:31:56Z",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"plannedDurationSeconds": 123,
"plannedManpowerSeconds": 123,
"completedWorkloadSeconds": 123,
"completedDurationSeconds": 123,
"netScheduledSeconds": 123,
"netOperatingSeconds": 123,
"realManpowerSeconds": 123,
"completionPercent": 123,
"availability": 123,
"efficiency": 123,
"productivity": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"name": "<string>",
"orderCode": "<string>",
"isFinalOperation": true,
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"status": "<string>",
"productId": "<string>",
"managesLots": true,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"positionX": 123,
"positionY": 123,
"restrictedBy": [
{
"id": "<string>",
"fromId": "<string>",
"from": null,
"toId": "<string>",
"to": null
}
],
"requiredCharacteristicId": "<string>",
"requiredCharacteristic": {
"id": "<string>",
"name": "<string>",
"toolsCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"toolId": "<string>",
"tool": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"typeId": "<string>",
"type": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"possibleWorkstations": 123,
"skillCount": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"workstationId": "<string>",
"workstation": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"areaId": "<string>",
"area": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"parentId": "<string>",
"parent": null,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"autocompleteOperations": true,
"infiniteCapacity": true,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"operationsGroupId": "<string>",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"materialsRequestedAt": "2023-11-07T05:31:56Z",
"provisionedQuantity": 123,
"provisioningIncomingQuantity": 123,
"requiredEmployees": 123,
"plannedQuantity": 123,
"completedQuantity": 123,
"rejectedQuantity": 123,
"plannedDurationSeconds": 123,
"plannedManpowerSeconds": 123,
"completedManpowerSeconds": 123,
"completedDurationSeconds": 123,
"elapsedSeconds": 123,
"netScheduledSeconds": 123,
"netOperatingSeconds": 123,
"realManpowerSeconds": 123,
"completionPercent": 123,
"availability": 123,
"efficiency": 123,
"productivity": 123,
"requiredAvailability": {
"time": "2023-11-07T05:31:56Z"
},
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"targetedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Operation Progress
Create a new output
deprecated
Requires Production.Orders.Write permissions
Deprecated: Use /v/production/operations//records.
POST
/
v1
/
production
/
orders
/
{orderReference}
/
operations
/
{operationReference}
/
outputs
Create a new output
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
⌘I